import { useMain as useDataServicesMain } from '@/views/dataManage/index/services/dataImport.ts'
import { useMain as useStatisticsServicesMain } from '@/views/dataManage/index/services/statistics.ts'
import { useMain as useDataExportServicesMain } from '@/views/dataManage/index/services/dataExport.ts'
import { useDatasetServer } from '@/views/dataManage/index/services/dataset.ts'

const dataImportServices = useDataServicesMain()
const statisticsServices= useStatisticsServicesMain()
const dataExportServices = useDataExportServicesMain()
const datasetServers = useDatasetServer()

export const useMain = () => {
  const dataManageServices = {
    common: {}, // 公共状态模块
    dataImport: dataImportServices, // 数据导入模块
    dataExport: dataExportServices, // 数据导出模块
    statistics: statisticsServices, // 统计数据模块
    dataset: datasetServers, // 数据集模块
  }
  return {
    dataManageServices,
  }
}
